Loading...
Searching...
No Matches
_starpu_mpi_backend Struct Reference

`#include <starpu_mpi_private.h>`

## Data Fields

void(* | _starpu_mpi_backend_init )(struct starpu_conf *conf)
void(* | _starpu_mpi_backend_shutdown )(void)
int(* | _starpu_mpi_backend_reserve_core )(void)
void(* | _starpu_mpi_backend_request_init )(struct _starpu_mpi_req *req)
void(* | _starpu_mpi_backend_request_fill )(struct _starpu_mpi_req *req, int is_internal_req)
void(* | _starpu_mpi_backend_request_destroy )(struct _starpu_mpi_req *req)
void(* | _starpu_mpi_backend_data_clear )(starpu_data_handle_t data_handle)
void(* | _starpu_mpi_backend_data_register )(starpu_data_handle_t data_handle, starpu_mpi_tag_t data_tag)
void(* | _starpu_mpi_backend_comm_register )(MPI_Comm comm)
int(* | _starpu_mpi_backend_progress_init )(struct _starpu_mpi_argc_argv *argc_argv)
void(* | _starpu_mpi_backend_progress_shutdown )(void **value)
void(* | _starpu_mpi_backend_wait_for_initialization )()
int(* | _starpu_mpi_backend_barrier )(MPI_Comm comm)
int(* | _starpu_mpi_backend_wait_for_all )(MPI_Comm comm)
int(* | _starpu_mpi_backend_wait )(starpu_mpi_req *public_req, MPI_Status *status)
int(* | _starpu_mpi_backend_test )(starpu_mpi_req *public_req, int *flag, MPI_Status *status)
void(* | _starpu_mpi_backend_isend_size_func )(struct _starpu_mpi_req *req)
void(* | _starpu_mpi_backend_irecv_size_func )(struct _starpu_mpi_req *req)

## Detailed Description

Specific functions to backend implementation

The documentation for this struct was generated from the following file:

- starpu_mpi_private.h